import request from '@/utils/request'

// 查询服务记录列表
export function listServiceRecord(query) {
  return request({
    url: '/model/ServiceRecord/list',
    method: 'get',
    params: query
  })
}

// 查询服务记录详细
export function getServiceRecord(id) {
  return request({
    url: '/model/ServiceRecord/' + id,
    method: 'get'
  })
}

// 新增服务记录
export function addServiceRecord(data) {
  return request({
    url: '/model/ServiceRecord',
    method: 'post',
    data: data
  })
}

// 修改服务记录
export function updateServiceRecord(data) {
  return request({
    url: '/model/ServiceRecord',
    method: 'put',
    data: data
  })
}

// 删除服务记录
export function delServiceRecord(id) {
  return request({
    url: '/model/ServiceRecord/' + id,
    method: 'delete'
  })
}
